Search NASA⌕ Search

SEARCH · Search NASA

Results for “High Order”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 37 records · Page 2

Enhancement of harmonic generation by an intense driving laser with high-order waveguide modes in a high-pressure gas-filled hollow waveguide

High-order harmonics have been widely used as reliable tabletop coherent radiation sources recently, but their applications have often been limited by the available pulse energy. Here, we report that by using an overdriven intense laser in a long waveguide with high-pressure gas, phase matching can be achieved in three distinct “regimes”. In the third regime, favorable phase matching is achieved at near-axis positions to enhance harmonic yields. Our results are supported by a full theoretical analysis, and we demonstrate that coupling of the driving laser with the high-order waveguide modes (instead of the fundamental mode used in most prior experiments) is responsible for achieving phase matching. Furthermore, we establish that this phase matching (and harmonic enhancement) is robust, and a scaling relation is derived for the necessary waveguide and gas parameters, allowing our predictions to be tested immediately in any laboratory today.

Li, Baochang [Nanjing University of Science and Te↗

A method for obtaining reduced-order control laws for high-order systems using optimization techniques

A method of synthesizing reduced-order optimal feedback control laws for a high-order system is developed. A nonlinear programming algorithm is employed to search for the control law design variables that minimize a performance index defined by a weighted sum of mean-square steady-state responses and control inputs. An analogy with the linear quadractic Gaussian solution is utilized to select a set of design variables and their initial values. To improve the stability margins of the system, an input-noise adjustment procedure is used in the design algorithm. The method is applied to the synthesis of an active flutter-suppression control law for a wind tunnel model of an aeroelastic wing. The reduced-order controller is compared with the corresponding full-order controller and found to provide nearly optimal performance. The performance of the present method appeared to be superior to that of two other control law order-reduction methods. It is concluded that by using the present algorithm, nearly optimal low-order control laws with good stability margins can be synthesized.

Mukhopadhyay, V.↗

Cavity-enhanced high-order harmonic generation for high-performance time-resolved photoemission experiments

Recent breakthroughs in high repetition-rate extreme ultraviolet (XUV) light sources and photoelectron analyzers have led to dramatic advances in the performance of time-resolved photoemission experiments. In this perspective article, we discuss the application of cavity-enhanced high-order harmonic generation, with repetition rates exceeding 10 MHz, to photoemission experiments using advanced endstations incorporating time-of-flight photoelectron analyzers. We discuss recent results, perspective on future areas for further technological improvement, and the wide array of science enabled by ultrafast XUV photoemission experiments, now in a qualitatively new regime.

Allison, Thomas K. (ORCID:0000000302898830)↗

Variable High Order Multiblock Overlapping Grid Methods for Mixed Steady and Unsteady Multiscale Viscous Flows

Flows containing steady or nearly steady strong shocks in parts of the flow field, and unsteady turbulence with shocklets on other parts of the flow field are difficult to capture accurately and efficiently employing the same numerical scheme even under the multiblock grid or adaptive grid refinement framework. On one hand, sixth-order or higher shock-capturing methods are appropriate for unsteady turbulence with shocklets. On the other hand, lower order shock-capturing methods are more effective for strong steady shocks in terms of convergence. In order to minimize the shortcomings of low order and high order shock-capturing schemes for the subject flows,a multi- block overlapping grid with different orders of accuracy on different blocks is proposed. Test cases to illustrate the performance of the new solver are included.

Multiscale viscous flows↗

Estimate Low and High Order Wavefront Using P1640 Calibrator Measurements

P1640 high contrast imaging system on the Palomar 200 inch Telescope consists of an apodized-pupil Lyot coronagraph, the PALM-3000 adaptive optics (P3K-AO), and P1640 Calibrator (CAL). Science images are recorded by an integral field spectrograph covering J-H bands for detecting and characterizing stellar companions. With aberrations from atmosphere corrected by the P3K-AO, instrument performance is limited mainly by the quasi-static speckles due to noncommon path wavefront aberrations for the light to propagate to the P3K-AO wavefront sensor and to the coronagraph mask. The non-common path wavefront aberrations are sensed by CAL, which measures the post-coronagraph E-field using interferometry, and can be effectively corrected by offsetting the P3K-AO deformable mirror target position accordingly. Previously, we have demonstrated using CAL measurements to correct high order wavefront aberrations, which is directly connected to the static speckles in the image plane. Low order wavefront, on the other hand, usually of larger amplitudes, causes light to leak through the coronagraph making the whole image plane brighter. Knowledge error in low order wavefront aberrations can also affect the estimation of the high order wavefront. Even though, CAL is designed to sense efficiently high order wavefront aberrations, the low order wavefront front can be inferred with less sensitivity. Here, we describe our method for estimating both low and high order wavefront aberrations using CAL measurements by propagating the post-coronagraph E-field to a pupil before the coronagraph. We present the results from applying this method to both simulated and experiment data.

aberrations↗

High Order Approximations for Compressible Fluid Dynamics on Unstructured and Cartesian Meshes

The development of high-order accurate numerical discretization techniques for irregular domains and meshes is often cited as one of the remaining challenges facing the field of computational fluid dynamics. In structural mechanics, the advantages of high-order finite element approximation are widely recognized. This is especially true when high-order element approximation is combined with element refinement (h-p refinement). In computational fluid dynamics, high-order discretization methods are infrequently used in the computation of compressible fluid flow. The hyperbolic nature of the governing equations and the presence of solution discontinuities makes high-order accuracy difficult to achieve. Consequently, second-order accurate methods are still predominately used in industrial applications even though evidence suggests that high-order methods may offer a way to significantly improve the resolution and accuracy for these calculations. To address this important topic, a special course was jointly organized by the Applied Vehicle Technology Panel of NATO's Research and Technology Organization (RTO), the von Karman Institute for Fluid Dynamics, and the Numerical Aerospace Simulation Division at the NASA Ames Research Center. The NATO RTO sponsored course entitled "Higher Order Discretization Methods in Computational Fluid Dynamics" was held September 14-18, 1998 at the von Karman Institute for Fluid Dynamics in Belgium and September 21-25, 1998 at the NASA Ames Research Center in the United States. During this special course, lecturers from Europe and the United States gave a series of comprehensive lectures on advanced topics related to the high-order numerical discretization of partial differential equations with primary emphasis given to computational fluid dynamics (CFD). Additional consideration was given to topics in computational physics such as the high-order discretization of the Hamilton-Jacobi, Helmholtz, and elasticity equations. This volume consists of five articles prepared by the special course lecturers. These articles should be of particular relevance to those readers with an interest in numerical discretization techniques which generalize to very high-order accuracy. The articles of Professors Abgrall and Shu consider the mathematical formulation of high-order accurate finite volume schemes utilizing essentially non-oscillatory (ENO) and weighted essentially non-oscillatory (WENO) reconstruction together with upwind flux evaluation. These formulations are particularly effective in computing numerical solutions of conservation laws containing solution discontinuities. Careful attention is given by the authors to implementational issues and techniques for improving the overall efficiency of these methods. The article of Professor Cockburn discusses the discontinuous Galerkin finite element method. This method naturally extends to high-order accuracy and has an interpretation as a finite volume method. Cockburn addresses two important issues associated with the discontinuous Galerkin method: controlling spurious extrema near solution discontinuities via "limiting" and the extension to second order advective-diffusive equations (joint work with Shu). The articles of Dr. Henderson and Professor Schwab consider the mathematical formulation and implementation of the h-p finite element methods using hierarchical basis functions and adaptive mesh refinement. These methods are particularly useful in computing high-order accurate solutions containing perturbative layers and corner singularities. Additional flexibility is obtained using a mortar FEM technique whereby nonconforming elements are interfaced together. Numerous examples are given by Henderson applying the h-p FEM method to the simulation of turbulence and turbulence transition.

Barth, Timothy↗

High-Order Residual-Distribution Hyperbolic Advection-Diffusion Schemes: 3rd-, 4th-, and 6th-Order

In this paper, spatially high-order Residual-Distribution (RD) schemes using the first-order hyperbolic system method are proposed for general time-dependent advection-diffusion problems. The corresponding second-order time-dependent hyperbolic advection- diffusion scheme was first introduced in [NASA/TM-2014-218175, 2014], where rapid convergences over each physical time step, with typically less than five Newton iterations, were shown. In that method, the time-dependent hyperbolic advection-diffusion system (linear and nonlinear) was discretized by the second-order upwind RD scheme in a unified manner, and the system of implicit-residual-equations was solved efficiently by Newton's method over every physical time step. In this paper, two techniques for the source term discretization are proposed; 1) reformulation of the source terms with their divergence forms, and 2) correction to the trapezoidal rule for the source term discretization. Third-, fourth, and sixth-order RD schemes are then proposed with the above techniques that, relative to the second-order RD scheme, only cost the evaluation of either the first derivative or both the first and the second derivatives of the source terms. A special fourth-order RD scheme is also proposed that is even less computationally expensive than the third-order RD schemes. The second-order Jacobian formulation was used for all the proposed high-order schemes. The numerical results are then presented for both steady and time-dependent linear and nonlinear advection-diffusion problems. It is shown that these newly developed high-order RD schemes are remarkably efficient and capable of producing the solutions and the gradients to the same order of accuracy of the proposed RD schemes with rapid convergence over each physical time step, typically less than ten Newton iterations.

Mazaheri, Alireza R.↗

Gauge-symmetrization method for energy-momentum tensors in high-order electromagnetic field theories

For electromagnetic field theories, canonical energy-momentum conservation laws can be derived from the underpinning spacetime translation symmetry according to the Noether procedure. However, the canonical energy-momentum tensors (EMTs) are neither symmetric nor gauge-symmetric (gauge invariant). The Belinfante-Rosenfeld (BR) method is a well-known procedure to symmetrize the EMTs, which also renders them gauge symmetric for first-order field theories. High-order electromagnetic field theories appear in the study of gyrokinetic systems for magnetized plasmas and the Podolsky system for the radiation reaction of classical charged particles. For these high-order field theories, gauge-symmetric EMTs are not necessarily symmetric and vice versa. In the present study, we develop a new gauge-symmetrization method for EMTs in high-order electromagnetic field theories. The Noether procedure is carried out using the Faraday tensor $F_{μν}$, instead of the 4-potential $A_{μ}$, to derive a canonical EMT $T^{μν}_{N}$. We show that the gauge-dependent part of $T^{μν}_{N}$ can be removed using the displacement-potential tensor $F^{σμν}$ ≡ $D^{σμ}A^{ν}/4π$, where $D^{σμ}$ is the antisymmetric electric displacement tensor. This method gauge-symmetrizes the EMT without necessarily making it symmetric, which is adequate for applications not involving general relativity. For first-order electromagnetic field theories, such as the standard Maxwell system, $F^{σμν}$ reduces to the familiar BR superpotential $S^{σμν}$, and the method developed can be used as a simpler procedure to calculate $S^{σμν}$ without employing the angular momentum tensor in 4D spacetime. When the electromagnetic system is coupled to classical charged particles, the gauge-symmetrization method for EMTs is shown to be effective as well.

70 PLASMA PHYSICS AND FUSION TECHNOLOGY↗

Matrix-free preconditioning for high-order H (curl) discretizations

The greater arithmetic intensity of high-order finite element discretizations makes them attractive for implementation on next-generation hardware, but assembly of high-order finite element operators as matrices is prohibitively expensive. As a result, the development of general algebraic solvers for such operators has been an open research challenge. Fast matrix-free application of high-order operators has received significant attention in the literature in the context of Poisson-type problems, but preconditioners and solvers for inverting more general operators are not very well-developed. In this paper, we consider the problem of preconditioning a definite Maxwell operator at high polynomial order without assembling a matrix. We show that given efficient preconditioners for high-order H 1 finite element problems on the same mesh, efficient H(curl) preconditioners can be constructed in an auxiliary space framework. We demonstrate the resulting preconditioners in a practical setting with tensor-product basis functions on an unstructured mesh of quadrilaterals. Overall, our approach uses a sparsified H 1 solver constructed on a low-order mesh of the nodal points of the underlying high-order space, and we show that the resulting H(curl) preconditioner is effective at very high polynomial orders for two-dimensional model problems with complicated geometry, varying piecewise constant coefficients, and curved elements. The resulting preconditioner scales with nearly optimal O(p d+1 ) floating point operation count and optimal O(p d ) memory transfer requirements, outperforming existing Maxwell preconditioners in the high-order regime.

97 MATHEMATICS AND COMPUTING↗

Modeling wave propagation in elastic solids via high-order accurate implicit-mesh discontinuous Galerkin methods

Here, a high-order accurate implicit-mesh discontinuous Galerkin framework for wave propagation in single-phase and bi-phase solids is presented. The framework belongs to the embedded-boundary techniques and its novelty regards the spatial discretization, which enables boundary and interface conditions to be enforced with high-order accuracy on curved embedded geometries. High-order accuracy is achieved via high-order quadrature rules for implicitly-defined domains and boundaries, whilst a cell-merging strategy addresses the presence of small cut cells. The framework is used to discretize the governing equations of elastodynamics, written using a first-order hyperbolic momentum-strain formulation, and an exact Riemann solver is employed to compute the numerical flux at the interface between dissimilar materials with general anisotropic properties. The space-discretized equations are then advanced in time using explicit high-order Runge–Kutta algorithms. Several two- and three-dimensional numerical tests including dynamic adaptive mesh refinement are presented to demonstrate the high-order accuracy and the capability of the method in the elastodynamic analysis of single- and bi-phases solids containing complex geometries.

42 ENGINEERING↗

A high-order computational framework for particle-resolved simulations of disperse multiphase flows

This work presents a high-order numerical approach for particle-resolved simulations of disperse multiphase flows, where the Navier-Stokes equations for fluid flow are solved using a high-order spectral element method in the Eulerian framework, and the particle phase is directly simulated with a discrete element method. The coupling between particles and fluids is explicitly handled using an adapted direct-forcing immersed boundary method. Unlike the conventional schemes, a high-order barycentric Lagrange interpolation method and a Gaussian projection kernel are used to ensure accurate momentum exchange between local boundary points and surrounding fluid nodes in the framework of high-order fluid solver. Benchmark tests of increasing complexity are conducted to demonstrate the accuracy and efficiency of our method. Here, it is found that our approach exhibits an excellent convergence performance, as the fluid element/grid is refined and the number of boundary points increases. Compared to conventional low-order methods, the proposed high-order framework enables the use of substantially larger fluid elements while maintaining high accuracy in modeling fluid-particle interactions, owing to the enhanced resolution of high-order basis functions. Moreover, since the primary unknowns are stored at element or grid nodes, the high-order approach offers improved efficiency in both CPU memory usage and total computational cost.

42 ENGINEERING↗

A High-Order Finite Spectral Volume Method for Conservation Laws on Unstructured Grids

A time accurate, high-order, conservative, yet efficient method named Finite Spectral Volume (FSV) is developed for conservation laws on unstructured grids. The concept of a 'spectral volume' is introduced to achieve high-order accuracy in an efficient manner similar to spectral element and multi-domain spectral methods. In addition, each spectral volume is further sub-divided into control volumes (CVs), and cell-averaged data from these control volumes is used to reconstruct a high-order approximation in the spectral volume. Riemann solvers are used to compute the fluxes at spectral volume boundaries. Then cell-averaged state variables in the control volumes are updated independently. Furthermore, TVD (Total Variation Diminishing) and TVB (Total Variation Bounded) limiters are introduced in the FSV method to remove/reduce spurious oscillations near discontinuities. A very desirable feature of the FSV method is that the reconstruction is carried out only once, and analytically, and is the same for all cells of the same type, and that the reconstruction stencil is always non-singular, in contrast to the memory and CPU-intensive reconstruction in a high-order finite volume (FV) method. Discussions are made concerning why the FSV method is significantly more efficient than high-order finite volume and the Discontinuous Galerkin (DG) methods. Fundamental properties of the FSV method are studied and high-order accuracy is demonstrated for several model problems with and without discontinuities.

Wang, Z. J.↗

Shock Capturing via Limiting for High-Order Methods including Discontinuous Galerkin

High-order methods, such as discontinuous Galerkin (DG), spectral, and flux reconstruction (FR), are prone to generating unwanted oscillations near shocks and discontinuities. Conventional limiting techniques, while effective in suppressing oscillations near shocks, often compromise accuracy near extrema, where the solution is only first-order accurate. This paper introduces a novel limiting technique for these high-order schemes, aimed at effectively managing shocks while preserving accuracy. The key idea is to expand the standard monotonicity limits to provide “room” near smooth extrema, ensuring that limiting has no effect and thus preserving accuracy. Near a discontinuity, these expanded limits effectively reduce to the original monotonicity limits, suppressing oscillations. Additional motivation is drawn from a formula for the derivative of Radau polynomials, which depicts the behavior of oscillations resulting from discontinuities. This behavior leads to a simplification by applying the limits to the sum of magnitudes of all modes, linear and higher degree. Unlike typical approaches, which rely on successful detection to activate limiting, our limiter depends continuously on the data, there by avoiding potential issues if detection fails. To reduce computing time, efficient criteria for detecting smooth regions where limiting is unnecessary are presented. Combined with detection, the continuous dependence on the data is lost, but the method is more economical. A notable characteristic of the entire process is its simplicity in both concept and implementation. Numerical tests for advection and Euler equations are conducted to demonstrate the effectiveness of the proposed method.

numerical methods↗

Shock Capturing via Limiting for High-Order Methods including Discontinuous Galerkin

High-order methods, such as discontinuous Galerkin (DG), spectral, and flux reconstruction (FR), are prone to generating unwanted oscillations near shocks and discontinuities. Conventional limiting techniques, while effective in suppressing oscillations near shocks, often compromise accuracy near extrema, where the solution is only first-order accurate. This paper introduces a novel limiting technique for these high-order schemes, aimed at effectively managing shocks while preserving accuracy. The key idea is to expand the standard monotonicity limits to provide “room” near smooth extrema, ensuring that limiting has no effect and thus preserving accuracy. Near a discontinuity, these expanded limits effectively reduce to the original monotonicity limits, suppressing oscillations. Additional motivation is drawn from a formula for the derivative of Radau polynomials, which depicts the behavior of oscillations resulting from discontinuities. This behavior leads to a simplification by applying the limits to the sum of magnitudes of all modes, linear and higher degree. Unlike typical approaches, which rely on successful detection to activate limiting, our limiter depends continuously on the data, there by avoiding potential issues if detection fails. To reduce computing time, efficient criteria for detecting smooth regions where limiting is unnecessary are presented. Combined with detection, the continuous dependence on the data is lost, but the method is more economical. A notable characteristic of the entire process is its simplicity in both concept and implementation. Numerical tests for advection and Euler equations are conducted to demonstrate the effectiveness of the proposed method.

numerical methods↗

Simulation-driven optimization of high-order meshes in ALE hydrodynamics

Here we propose tools for high-order mesh optimization and demonstrate their benefits in the context of multi-material Arbitrary Lagrangian-Eulerian (ALE) compressible shock hydrodynamic applications. The mesh optimization process is driven by information provided by the simulation which uses the optimized mesh, such as shock positions, material regions, known error estimates, etc. These simulation features are usually represented discretely, for instance, as finite element functions on the Lagrangian mesh. The discrete nature of the input is critical for the practical applicability of the algorithms we propose and distinguishes this work from approaches that strictly require analytical information. Our methods are based on node movement through a high-order extension of the Target-Matrix Optimization Paradigm (TMOP). The proposed formulation is fully algebraic and relies only on local Jacobian matrices, so it is applicable to all types of mesh elements, in 2D and 3D, and any order of the mesh. We discuss the notions of constructing adaptive target matrices and obtaining their derivatives, reconstructing discrete data in intermediate meshes, node limiting that enables improvement of global mesh quality while preserving space-dependent local mesh features, and appropriate normalization of the objective function. The adaptivity methods are combined with automatic ALE triggers that can provide robustness of the mesh evolution and avoid excessive remap procedures. The benefits of the new high-order TMOP technology are illustrated on several simulations performed in the high-order ALE application BLAST.

97 MATHEMATICS AND COMPUTING↗

On the design of stable, consistent, and conservative high-order methods for multi-material hydrodynamics

Obtaining stable and high-order numerical solutions for multi-material hydrodynamics is an open challenge. Although slope limiters are widely used to maintain monotonicity near discontinuities, typical limiting procedures violate closure laws at the discrete level when applied to multi-material hydrodynamics equations. Due to this, the high-order expansions of quantities related by the closure laws are no longer consistent. The commonly observed symptom of this consistency-violation is that the numerical method fails to maintain constant pressure and velocity across material interfaces. This leads to sub-optimal convergence rates for smooth multi-material problems as well. Specialized limiting procedures that satisfy consistency while maintaining conservation need to be developed for such equations. A novel procedure that re-instates consistency into slope-limited high-order discretizations applied to the multi-material hydrodynamics equations is presented here. Using simple examples, it is demonstrated that the presented method satisfies closure laws at the discrete level, while maintaining conservative properties of the high-order method. Furthermore, this procedure involves a projection step which relies on the compact basis of the underlying spatial discretization, i.e. for discontinuous schemes (viz. DG and FV) the projection is local, and does not involve global matrix solves. Comparisons with conventional approaches emphasizes the necessity of the consistent closure-law preserving limiting approach, in order to maintain design order of accuracy for smooth multi-material problems.

36 MATERIALS SCIENCE↗